# Copyright (c) 2015 Dave Love, Liverpool University
# The licence for this file is as for the package itself.

Name:		plink
Version:	1.07
Release:	1%{?dist}
Summary:	Whole-genome association analysis toolset
License:	GPLv2 and LGPLv2
URL:		http://pngu.mgh.harvard.edu/~purcell/plink/
Source0:	http://pngu.mgh.harvard.edu/~purcell/plink/dist/plink-%version-src.zip
Source1:	p-link.1
Patch1:		plink-endiandetection.patch
Patch2:		plink-gcc-4.7.patch

BuildRequires:	zlib-devel gcc-c++ openblas-devel

%description

plink expects as input the data from SNP (single nucleotide
polymorphism) chips of many individuals and their phenotypical
description of a disease.  It finds associations of single or pairs of
DNA variations with a phenotype and can retrieve SNP annotation from
an online source.

SNPs can evaluated individually or as pairs for their association with
the disease phenotypes.  The joint investigation of copy number
variations is supported.  A variety of statistical tests have been
implemented.

Please note: The executable was renamed to p-link because of a name
clash.

%prep
%setup -q -n %name-%version-src
%patch1 -p1 -b .endian
%patch2 -p1 -b .gcc


%build
make %{?_smp_mflags} WITH_LAPACK=1 FORCE_DYNAMIC=1 LIB_LAPACK=-lopenblas


%install
rm -rf $RPM_BUILD_ROOT
install -D -m644 %SOURCE1 $RPM_BUILD_ROOT%_mandir/man1/p-link.1
install -D -m755 plink $RPM_BUILD_ROOT%_bindir/p-link


%clean
rm -rf $RPM_BUILD_ROOT


%files
%doc COPYING.txt README.txt
%_bindir/*
%_mandir/man1/*


%changelog
* Mon Jun 22 2015 Dave Love <d.love@liverpool.ac.uk> - 1.07-1
- Initial packaging

